明经CAD社区

?找回密码
?注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 60|回复: 2
打印 上一365体育投注手机客户端下载_365体育投注滚球_bt365-体育投注 下一365体育投注手机客户端下载_365体育投注滚球_bt365-体育投注

[讨论] 求助各位热心人,帮忙加一个记忆功能!

[复制链接]
跳转到指定楼层
楼主
发表于 2019-10-29 22:01 | 只看该作者 回帖奖励 |倒序浏览 |阅读模式
这是我在明经拼凑出来的一个图层偏移,但每次都要重新输入数值,现在向各位热心人,帮忙加一个记忆值!感谢!!

(defun c:GG(/ val en pt1)-
? ?(setvar "osmode" 0)
? ?(setq val (getreal "\请输入偏移距离:"))? ???
? ?(setq en (entsel "\请指定需偏移物体:"))
? ?(setq pt1 (getpoint "\nsideto offset"))
? ?(command "offset" val en pt1 "")
? ?(command "change" "L""""P""LA" "2" "")
? ?(setvar "osmode" 35)(princ))


推荐
发表于 2019-10-29 22:15 | 只看该作者
(defun c:GG(/ en pt1)
? ?(setvar "osmode" 0)
? ?(if val(princ (strcat "\n偏移距离<" (vl-princ-to-string val) ">"))(setq val (getreal "\n请输入偏移距离:")))? ???
? ?(setq en (entsel "\n请指定需偏移物体:"))
? ?(setq pt1 (getpoint "\n输入偏移方向"))
? ?(command "offset" val en pt1 "")
??(if (= (tblsearch "layer" "2") nil)(entmake (list '(0 . "LAYER")'(100 . "AcDbSymbolTableRecord")'(100 . "AcDbLayerTableRecord")'(70 . 0)'(290 . 1) (cons 2 "2")(cons 62 1))))
? ?(command "change" "L""""P""LA" "2" "")
? ?(setvar "osmode" 35)(princ))
板凳
?楼主| 发表于 2019-10-29 22:24 | 只看该作者
cable2004 发表于 2019-10-29 22:15
(defun c:GG(/ en pt1)
? ?(setvar "osmode" 0)
? ?(if val(princ (strcat "\n偏移距离"))(setq val (get ...

效果很理想!谢谢你的帮助!
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )???
?2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2019-10-30 19:29 , Processed in 0.203896 second(s), 27 queries , Gzip On.

Powered by Discuz! X3.3

? 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表